// __multiversion__
// This signals the loading code to prepend either #version 100 or #version 300 es as apropriate.

/*
|==========||==========|
GS Shader 2.0

By Goldshadow12
|==========||==========|
*/

#include "vertexVersionCentroidUV.h"

#include "uniformWorldConstants.h"

out highp vec3 pos;

attribute POS4 POSITION;
attribute vec2 TEXCOORD_0;


void main(){
    
    gl_Position = WORLDVIEWPROJ * POSITION;

    pos = POSITION.xyz;

    uv = TEXCOORD_0;
}