
highp float hash( highp float n ){
	return fract(sin(n)*59374.);
}

highp float noise( in highp vec2 x ){
	highp vec2 p = floor(x);
	highp vec2 f = fract(x);
    	f = f*f*(3.0-2.0*f);
    highp float n = p.x + p.y*57.0;
    highp float res = mix(mix( hash(n+  0.0), hash(n+  1.0),f.x), mix( hash(n+ 57.0), hash(n+ 58.0),f.x),f.y);
return res;
}

highp float Waves(highp vec3 pos){
    pos.z += TIME * 0.2;
    
    highp float wave1 = sin(noise(vec2(pos.z+pos.z+pos.x, pos.x+pos.z+pos.x)));
    highp float wave2 = cos(noise(vec2(pos.x+pos.z,pos.z)));
    float interp = sin(TIME * 4. + pos.z+pos.z+pos.x+pos.x)*sin(pos.z) * .5;

    return mix(wave1,wave2,interp);

}