// __multiversion__
// This signals the loading code to prepend either #version 100 or #version 300 es as apropriate.

/*
|==========||==========|
GS Shader 2.0

By Goldshadow12
|==========||==========|
*/

// Original from Bicubic Shader by @bicubic7.

#include "vertexVersionSimple.h"
#include "uniformWorldConstants.h"
#include "uniformPerFrameConstants.h"
#include "uniformShaderConstants.h"

attribute mediump vec4 POSITION;
attribute vec4 COLOR;

out highp vec3 pos;
out vec4 color;
const float fogNear = 0.3;

void main(){

vec4 p = POSITION;
POS4 wpos = WORLDVIEWPROJ * p;
p.y -=(0.1,0.2,clamp(length(POSITION.xyz),0.0,1.0))*0.35-0.11;
    gl_Position = WORLDVIEWPROJ * p;
pos = POSITION.xyz;
color = COLOR;

}